Pages: 1
  Print  
Author Topic: Mac OS X  (Read 1286 times)
Offline (Male) davedude
Posted on: November 01, 2014, 04:30:15 PM
Member
Location: Connecticut
Joined: Apr 2014
Posts: 5

View Profile
Hi!  My name is Davedude (call me Dave), and I am a little familiar with Enigma, but have not been very involved with the community or the project.  I do not know how to code (I want to change this and am planning to take a computer science course starting next fall so I should have a basic knowledge of Java by Summer 2016).

I own a Mac running the latest OS (10.10) and I was wondering if it is possible to run Enigma on this computer.  If so, how do I do it? 
I have Xcode as well...

I would love your feedback! Thanks!

Edit: I read some more...
I used python install.py mac but didn't get any binaries.  I ran it twice. 
Quote
Davids-iMac-6:~ docduet$ cd ~/Desktop/enigma
Davids-iMac-6:enigma docduet$ python install.py mac
Enigma package manager
Installing mac please wait...
INFO: no dependencies for infolist
INFO: no dependencies for icns
INFO: no dependencies for alure
INFO: Extracting ./ENIGMAsystem/additional/alure.epackage
Finished updating mac
Davids-iMac-6:enigma docduet$ python install.py mac
Enigma package manager
Installing mac please wait...
INFO: no dependencies for infolist
INFO: infolist hash did not match (probably needs updated) localhash:c3d39dd9c08ed430d137e72b9e823d2c remotehash:22bee0144dc32015e424bb88a4eac356
INFO: no dependencies for icns
INFO: icns hash did not match (probably needs updated) localhash:89343464f0330b22cbd50f31e200ad7c remotehash:35fc725e522a2d26a36ea99b0e13b4cf
INFO: no dependencies for alure
INFO: alure already up-to-date (same hash)
INFO: mac already up-to-date (same hash)
Finished updating mac
Davids-iMac-6:enigma docduet$

I know my basic way around computers, but would not call myself an expert.  I am considering a Linux VM but would LOVE to compile to Mac.

Also, does Enigma compile to android?
« Last Edit: November 01, 2014, 04:49:19 PM by davedude » Logged
Offline (Male) Josh @ Dreamland
Reply #1 Posted on: November 01, 2014, 08:29:43 PM

Prince of all Goldfish
Developer
Location: Pittsburgh, PA, USA
Joined: Feb 2008
Posts: 2957

View Profile Email
From there, you should be able to run lateralgm.jar using Java. Do you have Java installed? Running java -jar lateralgm.jar should open it.

The short answer to compiling for Android is "not right now." Our Android port is ancient and unmaintained, and no one has gotten it working in a long time.
Logged
"That is the single most cryptic piece of code I have ever seen." -Master PobbleWobble
"I disapprove of what you say, but I will defend to the death your right to say it." -Evelyn Beatrice Hall, Friends of Voltaire
Offline (Male) Goombert
Reply #2 Posted on: November 01, 2014, 08:34:30 PM

Developer
Location: Cappuccino, CA
Joined: Jan 2013
Posts: 3110

View Profile
We have made some improvements in the graphics department however with Android. Our OpenGL3 graphics system is being actively worked on by TheExDeus in the hopes of porting it easily to OpenGLES, which is OpenGL for Embedded Systems. I wonder if sorlok could weigh in here as he has built for Mac before, I'll ask him.
Logged
I think it was Leonardo da Vinci who once said something along the lines of "If you build the robots, they will make games." or something to that effect.

Offline (Unknown gender) sorlok_reaves
Reply #3 Posted on: November 02, 2014, 09:52:58 AM
Contributor
Joined: Dec 2013
Posts: 261

View Profile
I am not a Mac developer, and my current approach is to cross-compile from Linux to OSX. However, I have compiled in ENIGMA on OSX in the past. A few things I remember about the experience:

  • The default gcc-lvm didn't work for me (due to a JDI issue with strings). Instead, I used gcc48 from MacPorts, or possibly clang from MacPorts (can't remember).
  • ...so, in other words, I had to hard-code the compiler into the compiler/ENIGMA Makefiles.
  • I remember having to add "-I./ENIGMA" in a few places, although I've been told that's not required.
  • Run "python install.py" and check if you have MacOS/build/Release/EnigmaXcode.app/Contents/Info.plist. If so, the command worked.

Try building and tell me what issues you run into. I can probably help a little bit (although, again, it's not my exact area of expertise).
Logged
Pages: 1
  Print